> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voice



## OpenAPI

````yaml get /v1/voices
openapi: 3.1.0
info:
  title: Vocode Hosted API
  description: |2-

            Vocode's Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  termsOfService: http://example.com/terms/
  contact:
    name: Support
    email: support@vocode.dev
  version: 1.0.0
servers:
  - url: https://api.vocode.dev
    description: Production environment
    x-fern-server-name: Production
security: []
tags:
  - name: numbers
    description: Operations with phone numbers.
  - name: calls
    description: Manage calls.
paths:
  /v1/voices:
    get:
      tags:
        - voices
      summary: Get Voice
      operationId: get_voice
      parameters:
        - name: id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    VoiceResponseModel:
      oneOf:
        - $ref: '#/components/schemas/AzureVoice'
        - $ref: '#/components/schemas/RimeVoice'
        - $ref: '#/components/schemas/ElevenLabsVoice'
        - $ref: '#/components/schemas/PlayHtVoice'
        - $ref: '#/components/schemas/VocodeVoice'
      title: VoiceResponseModel
      discriminator:
        propertyName: type
        mapping:
          voice_azure: '#/components/schemas/AzureVoice'
          voice_eleven_labs: '#/components/schemas/ElevenLabsVoice'
          voice_play_ht: '#/components/schemas/PlayHtVoice'
          voice_rime: '#/components/schemas/RimeVoice'
          voice_vocode: '#/components/schemas/VocodeVoice'
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AzureVoice:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - voice_azure
          const: voice_azure
          title: Type
        voice_name:
          type: string
          title: Voice Name
        pitch:
          type: integer
          title: Pitch
          default: 0
        rate:
          type: integer
          title: Rate
          default: 15
      type: object
      required:
        - id
        - user_id
        - type
        - voice_name
      title: AzureVoice
    RimeVoice:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - voice_rime
          const: voice_rime
          title: Type
        speaker:
          type: string
          title: Speaker
        speed_alpha:
          anyOf:
            - type: number
            - type: 'null'
          title: Speed Alpha
        model_id:
          anyOf:
            - type: string
              enum:
                - mist
                - v1
            - $ref: '#/components/schemas/Undefined'
            - type: 'null'
          title: Model Id
      type: object
      required:
        - id
        - user_id
        - type
        - speaker
      title: RimeVoice
    ElevenLabsVoice:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - voice_eleven_labs
          const: voice_eleven_labs
          title: Type
        voice_id:
          type: string
          title: Voice Id
        stability:
          anyOf:
            - type: number
            - type: 'null'
          title: Stability
        similarity_boost:
          anyOf:
            - type: number
            - type: 'null'
          title: Similarity Boost
        api_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key
        optimize_streaming_latency:
          anyOf:
            - type: integer
            - type: 'null'
          title: Optimize Streaming Latency
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        experimental_input_streaming:
          type: boolean
          title: Experimental Input Streaming
          default: false
      type: object
      required:
        - id
        - user_id
        - type
        - voice_id
      title: ElevenLabsVoice
    PlayHtVoice:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - voice_play_ht
          const: voice_play_ht
          title: Type
        voice_id:
          type: string
          title: Voice Id
        api_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Api User Id
        api_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key
        version:
          type: string
          enum:
            - '1'
            - '2'
          title: Version
          default: '2'
        speed:
          anyOf:
            - type: number
            - type: 'null'
          title: Speed
        quality:
          anyOf:
            - type: string
              enum:
                - faster
                - draft
                - low
                - medium
                - high
                - premium
            - type: 'null'
          title: Quality
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
        top_p:
          anyOf:
            - type: number
            - type: 'null'
          title: Top P
        text_guidance:
          anyOf:
            - type: number
            - type: 'null'
          title: Text Guidance
        voice_guidance:
          anyOf:
            - type: number
            - type: 'null'
          title: Voice Guidance
        experimental_remove_silence:
          type: boolean
          title: Experimental Remove Silence
          default: false
      type: object
      required:
        - id
        - user_id
        - type
        - voice_id
      title: PlayHtVoice
    VocodeVoice:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - voice_vocode
          const: voice_vocode
          title: Type
        voice_id:
          type: string
          enum:
            - joe
          const: joe
          title: Voice Id
      type: object
      required:
        - id
        - user_id
        - type
        - voice_id
      title: VocodeVoice
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Undefined:
      properties: {}
      additionalProperties: false
      type: object
      title: Undefined
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````